<?php

class WeightfinalController extends Controller
{
	/**
	* @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	* using two-column layout. See 'protected/views/layouts/column2.php'.
	*/
	public $layout='//layouts/column2';

	/**
	* @return array action filters
	*/
	public function filters()
	{
		return array(
		'accessControl', // perform access control for CRUD operations
		// 'postOnly + delete', // we only allow deletion via POST request
	);
	}

	/**
	* Specifies the access control rules.
	* This method is used by the 'accessControl' filter.
	* @return array access control rules
	*/
	public function accessRules()
	{
		return array(
			array('allow',
				'actions'=>array('create','update','view','delete','admin','index','enable','disable','setting'),
				'users'=>array('@'),
				'expression'=>'Yii::app()->user->record->level==1',
			),
			array('deny',
				'users'=>array('*'),
			),
		);
	}

	/**
	* Returns the data model based on the primary key given in the GET variable.
	* If the data model is not found, an HTTP exception will be raised.
	* @param integer $id the ID of the model to be loaded
	* @return PaperWeightFinal the loaded model
	* @throws CHttpException
	*/
	public function loadModel($id)
	{
		$model=PaperWeightFinal::model()->findByPk($id);
		if($model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		return $model;
	}

	/**
	* Performs the AJAX validation.
	* @param PaperWeightFinal $model the model to be validated
	*/
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='weight-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}

	public function actionSetting()
	{
		$model=$this->loadModel(1);

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['PaperWeightFinal']))
		{
			$model->attributes=$_POST['PaperWeightFinal'];
			$model->update_id = YII::app()->user->id;
			$model->update_date = date('Y-m-d h:i:s');
			if($model->save())
				$this->redirect(array('setting'));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}
}
